# TODO: testing
exec-once = bash -c "sleep 1 && for monitor in $(hyprctl monitors -j | jq -r '.[].name'); do hyprctl dispatch workspace 100 && hyprctl dispatch focusworkspaceoncurrentmonitor 100; done"

exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP

exec-once = uwsm app -- /usr/lib/xdg-desktop-portal-hyprland
exec-once = uwsm app -- /usr/lib/xdg-desktop-portal
exec-once = uwsm app -- /usr/lib/xdg-desktop-portal-gtk

exec-once = uwsm app -- hypridle

exec-once = uwsm app -- awww-daemon
exec-once = uwsm app -- awww img "$WALLPAPER"

exec-once = uwsm app -- waybar
exec-once = uwsm app -- dunst

exec-once = uwsm app -- wl-paste --type text --watch cliphist store #Stores only text data
exec-once = uwsm app -- wl-paste --type image --watch cliphist store #Stores only image data
exec-once = uwsm app -- systemd-inhibit --who="Hyprland config" --why="wlogout keybind" --what=handle-power-key --mode=block sleep infinity
